Index: resources/views/dashboard/settings/index.blade.php
===================================================================
--- resources/views/dashboard/settings/index.blade.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
+++ resources/views/dashboard/settings/index.blade.php	(revision d25ba6629ddc39867a49008948daa1cedd404fc4)
@@ -25,10 +25,21 @@
                                     <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist"
                                          aria-orientation="vertical">
-                                        <a class="nav-link active pt-2 pb-2" id="v-pills-home-tab" data-toggle="pill"
+                                        <a class="nav-link pt-2 pb-2" id="v-pills-home-tab" data-toggle="pill"
                                            href="#v-pills-home" role="tab" aria-controls="v-pills-home"
-                                           aria-selected="true">Profile Settings</a>
+                                           aria-selected="true">Profile</a>
                                         <a class="nav-link pt-2 pb-2" id="v-pills-profile-tab" data-toggle="pill"
                                            href="#v-pills-profile" role="tab" aria-controls="v-pills-profile"
-                                           aria-selected="false">Account Settings</a>
+                                           aria-selected="false">Account</a>
+                                        @if(auth()->user()->hasPermission("access_all_phases"))
+                                            <a class="nav-link pt-2 pb-2" id="v-pills-phases-tab" data-toggle="pill"
+                                               href="#v-pills-phases" role="tab" aria-controls="v-pills-phases"
+                                               aria-selected="false">Phases</a>
+                                        @endif
+
+                                        @if(auth()->user()->hasPermission("access_all_post_securities"))
+                                            <a class="nav-link active pt-2 pb-2" id="v-pills-post-security-tab" data-toggle="pill"
+                                               href="#v-pills-post-security" role="tab" aria-controls="v-pills-post-security"
+                                               aria-selected="false">Post Security</a>
+                                        @endif
                                     </div>
                                 </div>
@@ -36,5 +47,5 @@
                                 <div class="col-md-8">
                                     <div class="tab-content" id="v-pills-tabContent">
-                                        <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel"
+                                        <div class="tab-pane fade" id="v-pills-home" role="tabpanel"
                                              aria-labelledby="v-pills-home-tab">
 
@@ -488,4 +499,204 @@
                                             </div>
                                         </div>
+
+                                        @if (auth()->user()->hasPermission("access_all_phases"))
+                                            <div class="tab-pane fade" id="v-pills-phases" role="tabpanel"
+                                                 aria-labelledby="v-pills-phases-tab">
+
+                                                <fieldset class="form-fieldset">
+
+                                                    <h4 class="font-weight-normal border-bottom pb-4">
+                                                        Phases
+                                                        <span class="triggerPhaseModal float-right mb-2 d-inline-block btn btn-sm btn-primary">Create New</span>
+                                                    </h4>
+
+                                                    <div class="modal fade phaseModal" tabindex="-1" role="dialog" aria-hidden="true">
+
+                                                        <div class="modal-dialog modal-dialog-centered" role="document">
+
+                                                            <div class="modal-content">
+
+                                                                <div class="modal-header">
+                                                                    <h5 class="modal-title" id="exampleModalLabel">Create new phase</h5>
+                                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
+                                                                </div>
+
+                                                                <div class="modal-body">
+
+                                                                    <form action="{{ route("dashboard.settings.phase.store") }}"
+                                                                          method="post">
+                                                                        @csrf
+
+                                                                        <input type="hidden" name="phase_id">
+
+                                                                        <label class="form-label">Name</label>
+                                                                        <input type="text" class="form-control"
+                                                                               name="name" autocomplete="off" required>
+
+                                                                        <label class="form-label mt-2">User role to review</label>
+                                                                        <select class="selectData" name="reviewer_role_id">
+                                                                            <option value=""></option>
+                                                                            @foreach ($userRoles as $userRole)
+                                                                                <option
+                                                                                    value="{{ $userRole->id }}"
+                                                                                    {{ (old("reviewer_role_id") == $userRole->id) ? "selected" : "" }}
+                                                                                >
+                                                                                    {{ ucfirst($userRole->name) }}
+                                                                                </option>
+                                                                            @endforeach
+                                                                        </select>
+
+                                                                        <div class="modal-footer pb-0">
+                                                                            <button type="button" class="btn btn-secondary"
+                                                                                    data-dismiss="modal">Close
+                                                                            </button>
+                                                                            <input type="submit" class="btn btn-primary"
+                                                                                   value="Submit">
+                                                                        </div>
+
+                                                                    </form>
+
+                                                                </div>
+
+                                                            </div>
+
+                                                        </div>
+
+                                                    </div>
+
+                                                    <table id="dttable" class="table table-hover table-outline table-vcenter text-nowrap card-table">
+                                                        <thead>
+                                                            <tr>
+                                                                <th>Name</th>
+                                                                <th>Reviewer</th>
+                                                                <th>Actions</th>
+                                                            </tr>
+                                                        </thead>
+                                                        <tbody>
+                                                            @foreach($phases as $phase)
+                                                                <tr>
+                                                                    <td>{{ $phase->name }}</td>
+                                                                    <td>{{ ucfirst($phase->reviewer->name) }}</td>
+                                                                    <td class="text-center">
+                                                                        <div class="item-action dropdown">
+                                                                            <a href="javascript:void(0)" data-toggle="dropdown" class="icon" aria-expanded="false"><i class="fe fe-more-vertical"></i></a>
+                                                                            <div class="dropdown-menu dropdown-menu-right" x-placement="bottom-end" style="position: absolute; transform: translate3d(15px, 20px, 0px); top: 0px; left: 0px; will-change: transform;">
+                                                                                <a href="javascript:void(0)" data-phase-id="{{ $phase->id }}" data-phase-name="{{ $phase->name }}" data-phase-reviewer="{{ $phase->reviewer->id }}" class="triggerPhaseModal dropdown-item"><i class="dropdown-icon fe fe-edit"></i> Edit</a>
+                                                                                <a href="javascript:void(0)" class="actionLink dropdown-item" style="cursor: pointer;" data-action="{{ route("dashboard.settings.phase.destroy", ["id" => $phase->id]) }}" data-method="delete"><i class="dropdown-icon fe fe-trash-2 text-danger"></i> Delete </a>
+                                                                            </div>
+                                                                        </div>
+                                                                    </td>
+                                                                </tr>
+                                                            @endforeach
+                                                        </tbody>
+                                                    </table>
+
+                                                </fieldset>
+                                            </div>
+                                        @endif
+
+                                        @if(auth()->user()->hasPermission("access_all_post_securities"))
+                                            <div class="tab-pane fade show active" id="v-pills-post-security" role="tabpanel"
+                                                 aria-labelledby="v-pills-post-security-tab">
+                                                <fieldset class="form-fieldset">
+
+                                                    <h4 class="font-weight-normal border-bottom pb-4">
+                                                        Post security
+                                                        <span class="triggerPostSecurityModal float-right mb-2 d-inline-block btn btn-sm btn-primary">Create New</span>
+                                                    </h4>
+
+                                                    <div class="modal fade postSecurityModal" tabindex="-1" role="dialog" aria-hidden="true">
+
+                                                        <div class="modal-dialog modal-dialog-centered" role="document">
+
+                                                            <div class="modal-content">
+
+                                                                <div class="modal-header">
+                                                                    <h5 class="modal-title" id="exampleModalLabel">Create new post security</h5>
+                                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
+                                                                </div>
+
+                                                                <div class="modal-body">
+
+                                                                    <form class="postSecurityStore"
+                                                                          action="{{ route("dashboard.settings.post-security.store") }}"
+                                                                          method="post">
+                                                                        @csrf
+
+                                                                        <input type="hidden" name="post_security_id">
+
+                                                                        <label class="form-label">User role to be reviewed</label>
+                                                                        <select class="selectData" name="role_id_to_be_reviewed">
+                                                                            <option value=""></option>
+                                                                            @foreach ($userRoles as $userRole)
+                                                                                <option
+                                                                                    value="{{ $userRole->id }}"
+                                                                                    {{ (old("role_id_to_be_reviewed") == $userRole->id) ? "selected" : "" }}
+                                                                                >
+                                                                                    {{ ucfirst($userRole->name) }}
+                                                                                </option>
+                                                                            @endforeach
+                                                                        </select>
+
+                                                                        <label class="form-label mt-2">Select phases</label>
+                                                                        <select class="phasesSelect" multiple>
+                                                                            <option value=""></option>
+                                                                            @foreach ($phases as $phase)
+                                                                                <option
+                                                                                    value="{{ $phase->id }}">
+                                                                                    {{ $phase->name }}
+                                                                                </option>
+                                                                            @endforeach
+                                                                        </select>
+                                                                        <input type="hidden" name="phase_ids">
+
+                                                                        <div class="modal-footer pb-0">
+                                                                            <button type="button" class="btn btn-secondary"
+                                                                                    data-dismiss="modal">Close
+                                                                            </button>
+                                                                            <input type="submit" class="btn btn-primary"
+                                                                                   value="Submit">
+                                                                        </div>
+
+                                                                    </form>
+
+                                                                </div>
+
+                                                            </div>
+
+                                                        </div>
+
+                                                    </div>
+
+                                                    <table id="dttable" class="dttable table table-hover table-outline table-vcenter text-nowrap card-table">
+                                                        <thead>
+                                                            <tr>
+                                                                <th>To be reviewed</th>
+                                                                <th>Phases</th>
+                                                                <th>Actions</th>
+                                                            </tr>
+                                                        </thead>
+                                                        <tbody>
+                                                            @foreach($postSecurities as $postSecurity)
+                                                                <tr>
+                                                                    <td>{{ ucfirst($postSecurity->role->name) }}</td>
+                                                                    <td>{{ $postSecurity->phase_names }}</td>
+                                                                    <td class="text-center">
+                                                                        <div class="item-action dropdown">
+                                                                            <a href="javascript:void(0)" data-toggle="dropdown" class="icon" aria-expanded="false"><i class="fe fe-more-vertical"></i></a>
+                                                                            <div class="dropdown-menu dropdown-menu-right" x-placement="bottom-end" style="position: absolute; transform: translate3d(15px, 20px, 0px); top: 0px; left: 0px; will-change: transform;">
+                                                                                <a href="javascript:void(0)" data-post-security-id="{{ $postSecurity->id }}" data-post-security-role="{{ $postSecurity->role->id }}" data-post-security-phase-ids="{{ $postSecurity->phase_ids }}" class="triggerPostSecurityModal dropdown-item"><i class="dropdown-icon fe fe-edit"></i> Edit</a>
+                                                                                <a href="javascript:void(0)" class="actionLink dropdown-item" style="cursor: pointer;" data-action="{{ route("dashboard.settings.post-security.destroy", ["id" => $phase->id]) }}" data-method="delete"><i class="dropdown-icon fe fe-trash-2 text-danger"></i> Delete </a>
+                                                                            </div>
+                                                                        </div>
+                                                                    </td>
+                                                                </tr>
+                                                            @endforeach
+                                                        </tbody>
+                                                    </table>
+
+                                                </fieldset>
+                                            </div>
+                                        @endif
                                     </div>
                                 </div>
